### File

`packages/eui-dynamic-forms-ui/src/lib/shared/model/ux-dyn-events.model.ts`

### Index

###### Properties

- Optional extraData
- frameId
- name

### Constructor

`constructor(frameId: string, extraData?: string)`

Parameters :

Name | Type | Optional
frameId | `string` | No
extraData | `string` | Yes

### Properties

Optional extraData
Type : `string`
This is custom data which can be used for custom interactions.

frameId
Type : `string`

name
Type : `string`
Default value : `'UxDynSubmitFormEvent'`

# result-matching ""

# No results matching ""